> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/checkers/liquityv2targetratiocheck.md).

# LiquityV2TargetRatioCheck

### Description

Action to check the ratio of the LiquityV2 position after strategy execution.

> **Notes**
>
> This action only checks for current ratio, without comparing it to the start ratio. 5% offset acceptable

### Action ID

`0xd54d1b42`

### SDK Action

```ts
const liquityV2TargetRatioCheckAction = new dfs.actions.checkers.LiquityV2TargetRatioCheckAction(
    market,
    troveId,
    targetRatio
);
```

### Action Type

`CHECK_ACTION`

### Input Parameters

```solidity
    /// @param market Market address.
    /// @param troveId Trove ID.
    /// @param targetRatio Target ratio.
    struct Params {
        address market;
        uint256 troveId;
        uint256 targetRatio;
    }
```

### Return Value

```solidity
return bytes32(currRatio);
```

### Events and Logs

```solidity
emit ActionEvent("LiquityV2TargetRatioCheck", logData);
bytes memory logData = abi.encode(currRatio);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/checkers/liquityv2targetratiocheck.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
